---
lang: en
title: 'API docs: typeorm.typeorm'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/typeorm
permalink: /doc/en/lb4/apidocs.typeorm.typeorm.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/typeorm](./typeorm.md) &gt; [typeorm](./typeorm.typeorm.md)

## typeorm namespace

<b>Signature:</b>

```typescript
export declare namespace typeorm 
```

## Functions

|  Function | Description |
|  --- | --- |
|  [repository(entity, connectionName)](./typeorm.typeorm.repository.md) |  |


